#
# spec file for package pdns-recursor (Version 3.1.7)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           pdns-recursor
Version:        3.1.7
Release:        8.4.1
%define pkg_version    3.1.7
#
Group:          Productivity/Networking/DNS/Servers
License:        GPLv2+
#
%define home           %{_var}/lib/pdns
%define _localstatedir %{_var}/run/pdns
BuildRequires:  boost-devel gcc-c++ lua-devel pkg-config
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
PreReq:         %insserv_prereq %fillup_prereq pwdutils
#
Url:            http://www.powerdns.com/
Source:         http://downloads.powerdns.com/releases/%{name}-%{pkg_version}.tar.bz2
Source1:        pdns-recursor.init
Source2:        recursor.conf
Patch:          %{name}-%{version}_config.patch
Patch1:         %{name}-%{version}-strip.patch
Patch2:         %{name}-%{version}_atomicity.patch
# patch is under review by upstream. disabled so long
Patch5:         pdns-recursor-%{version}_parentheses_warning.patch
Patch6:         pdns-recursor-3.1.7_new_boost_exceptions.patch
Patch7:         pdns-recursor-3.1.7_lua.patch
Patch8:         pdns-recursor-3.1.7_gcc44.patch
Patch9:         pdns-recursor-3.1.7.2.patch
#
Summary:        Modern, advanced and high performance recursing/non authoritative nameserver

%description
PowerDNS Recursor is a non authoritative/recursing DNS server. Use this
package if you need a dns cache for your network.



Authors:
--------
    http://www.powerdns.com

%prep
%setup -n %{name}-%{pkg_version}
%patch
%patch1
%patch2
# patch is under review by upstream. disabled so long
#patch5
%patch6
%patch7
%patch8 -p1
%patch9 -p1

%build
%{__make} OPTFLAGS="%{optflags} -D_GNU_SOURCE" LUA=1

%install
%{__install} -Dd -m 0755 %{buildroot}{%{home},%{_localstatedir}}
%makeinstall CONFIGDIR="%{_sysconfdir}/pdns" BINDIR="%{_sbindir}"
%{__install} -D -m 0644 %{S:2} %{buildroot}%{_sysconfdir}/pdns/recursor.conf
%{__install} -D -m 0755 %{S:1} %{buildroot}%{_sysconfdir}/init.d/%{name}
%{__ln_s} -f %{_sysconfdir}/init.d/%{name} %{buildroot}%{_sbindir}/rc%{name}

%clean
%{__rm} -rf %{buildroot}

%pre
/usr/sbin/groupadd -r pdns &>/dev/null || :
/usr/sbin/useradd -o -g pdns -s /bin/false -r -c "pdns" -d %{home} pdns &>/dev/null || :

%post
%{fillup_and_insserv pdns-recursor}

%preun
%stop_on_removal pdns-recursor

%postun
%restart_on_update pdns-recursor
%insserv_cleanup

%files
%defattr (-,root,root,-)
%dir %{_sysconfdir}/pdns/
%config(noreplace) %{_sysconfdir}/pdns/recursor.conf
%config %{_sysconfdir}/pdns/recursor.conf-dist
%{_sysconfdir}/init.d/%{name}
%{_sbindir}/rcpdns-recursor
%{_sbindir}/pdns_recursor
%{_sbindir}/rec_control
%{_mandir}/man1/pdns_recursor.1*
%{_mandir}/man1/rec_control.1*
%doc README COPYING rrd/
%dir %{home}
%dir %{_localstatedir}

%changelog
* Tue Feb  9 2010 nadvornik@suse.cz
- backported fixes from 3.1.7.2:
  CVE-2009-4009, CVE-2009-4010 [bnc#567990]
* Tue Jun  9 2009 coolo@novell.com
- fix build with gcc 4.4
* Thu Nov 20 2008 mrueckert@suse.de
- fix typo in pdns-recursor-3.1.5_config.patch: (bnc#446608)
  pdns_recursor was looking for the config file in the wrong path
- added pdns-recursor-3.1.7_lua.patch:
  use pkg-config to find the CFLAGS/LIBS for the lua support
* Thu Nov  6 2008 mrueckert@suse.de
- added pdns-recursor-3.1.7_new_boost_exceptions.patch:
  clearify the referenced exception class
* Mon Sep  8 2008 anosek@suse.cz
- updated to version 3.1.7
  * this version contains powerful scripting abilities, allowing
    operators to modify DNS responses in many interesting ways.
    Among other things, these abilities can be used to filter out
    malware domains, to perform load balancing, to comply with legal
    and other requirements and finally, to implement 'NXDOMAIN'
    redirection.
  * number of bugfixes
- dropped obsoleted patches:
  (svn_fixes.patch) (make_it_compile.patch)
* Tue May 20 2008 mrueckert@suse.de
- backport the fixes from 3.1.6
  - The new high-quality random generator was not used for all
    random numbers, especially in source port selection.
    (bnc#375400)
  - fix issue resolving popular domains where one of the
    nameservers is suffering from a timeout.
- added pdns-recursor-3.1.6_make_it_compile.patch:
  missing <limits> include broke build
- added pdns-recursor-3.1.6_parentheses_warning.patch:
  fix small warning about missing parentheses (disabled for now)
* Wed Apr  2 2008 anosek@suse.cz
- updated to version 3.1.5
  New features:
  * Implemented rec_control command get uptime
  * The Recursor Authorative component, meant for having
    the Recursor serve some zones authoritatively, now supports
    $INCLUDE and $GENERATE.
  * Implemented forward-zones-file option in order to support
    larger amounts of zones which should be forwarded
    to another nameserver.
  * Both forward-zones and forward-zones-file can now specify
    multiple forwarders per domain.
  * Sten Spans contributed allow-from-file. This feature allows
    the Recursor to read access rules from a (large) file.
  Several improvements and bugfixes as well
- fixes VUL-0: pdns DNS spoofing vulnerability (bnc#375400)
- dropped patches applied by upstream:
  (char_casting.patch), (r965.patch), (gcc43.patch)
* Sun Oct 28 2007 mrueckert@suse.de
- added pdns-recursor-3.1.4_gcc43.patch:
  fix all warnings in pdns-recursor. (patch is upstream)
* Tue Jul 24 2007 mrueckert@suse.de
- added pdns-recursor-3.1.4_r965.patch:
  fix building on 10.0
* Wed Feb 28 2007 mrueckert@suse.de
- added pdns-recursor-3.1.4_atomicity.patch:
  The optimized code in recursor_cache.cc is included in gcc 4.2.
  Proper #if to use it only with older gcc.
- added pdns-recursor-3.1.4_char_casting.patch
  Don't cast string constants to char*.
* Tue Nov 14 2006 mrueckert@suse.de
- update to version 3.1.4
  This release contains two important security fixes, which should also solve
  the very rare reports of stability problems. Additionally, a new class of
  misconfigured domains will now always be resolved correctly, instead of
  intermittently.
- removed patches applied upstream:
  pdns-recursor-3.1.3_2006-02.patch
  pdns-recursor-3.1.3_cve-2006-4251.patch
  pdns-recursor-3.1.3_implicit_declarations.patch
* Mon Nov 13 2006 mrueckert@suse.de
- added pdns-recursor-3.1.3_2006-02.patch:
  fix an endless recursion in CNAME handling [#219355]
* Sat Nov 11 2006 mrueckert@suse.de
- added pdns-recursor-3.1.3_cve-2006-4251.patch:
  fix a stack corruption with malformed packages [#219355]
- added pdns-recursor-3.1.3_implicit_declarations.patch:
  fix an implicit declaration warning from gcc
  http://wiki.powerdns.com/cgi-bin/trac.fcgi/changeset/920
* Mon Nov  6 2006 schwab@suse.de
- Don't strip binaries.
* Mon Oct 23 2006 mrueckert@suse.de
- initial package of version 3.1.3
